with GNATCOM.Dispinterface;

package MSHTML.IHTMLStyleSheetRulesAppliedCollection_Object is

   type IHTMLStyleSheetRulesAppliedCollection_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   function item
     (This  : IHTMLStyleSheetRulesAppliedCollection_Type;
      index : GNATCOM.Types.VARIANT;
      Free  : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function Get_length
     (This : IHTMLStyleSheetRulesAppliedCollection_Type)
     return GNATCOM.Types.VARIANT;

   function propertyAppliedBy
     (This : IHTMLStyleSheetRulesAppliedCollection_Type;
      name : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function propertyAppliedTrace
     (This  : IHTMLStyleSheetRulesAppliedCollection_Type;
      name  : GNATCOM.Types.VARIANT;
      index : GNATCOM.Types.VARIANT;
      Free  : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function propertyAppliedTraceLength
     (This : IHTMLStyleSheetRulesAppliedCollection_Type;
      name : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
     return GNATCOM.Types.VARIANT;

end MSHTML.IHTMLStyleSheetRulesAppliedCollection_Object;

